Skip to main content

Mempool — Direct API Endpoints

Mempool provides 83 unique direct API endpoints across the following categories:
  • other (83 endpoints)

Prefix and Example

Prefix: No prefix is required for Mempool, an example URL will therefore look like: https://api.uniblock.dev/direct/v1/Mempool + /[Mempool_endpoint]. Example Request:
curl --request GET \
  --url https://api.uniblock.dev/direct/v1/Mempool/address/{address} \
  --header 'accept: application/json' \
  --header 'x-api-key: YOUR_UNIBLOCK_API_KEY'

other

GET

PathEst. CUDescription
direct/v1/Mempool/address/{address}2000Returns details about an address. Available fields: address, chain_stats, and mempool_stats. chain_stats and mempool_stats each contain an object with tx_count, funded_txo_count, funded_txo_sum, spent_txo_count, and spent_txo_sum.
direct/v1/Mempool/address/{address}/txs2000Get transaction history for the specified address/scripthash, sorted with newest first. Returns up to 50 mempool transactions plus the first 25 confirmed transactions. You can request more confirmed transactions using an after_txid query parameter.
direct/v1/Mempool/address/{address}/txs/chain2000Get confirmed transaction history for the specified address/scripthash, sorted with newest first. Returns 25 transactions per page. More can be requested by specifying the last txid seen by the previous query.
direct/v1/Mempool/address/{address}/txs/mempool2000Get unconfirmed transaction history for the specified address/scripthash. Returns up to 50 transactions (no paging).
direct/v1/Mempool/address/{address}/utxo2000Get the list of unspent transaction outputs associated with the address/scripthash. Available fields: txid, vout, value, and status (with the status of the funding tx).
direct/v1/Mempool/block-height/{height}2000Returns the hash of the block currently at :height.
direct/v1/Mempool/block/{hash}2000Returns details about a block.
direct/v1/Mempool/block/{hash}/header2000Returns the hex-encoded block header.
direct/v1/Mempool/block/{hash}/raw2000Returns the raw block representation in binary.
direct/v1/Mempool/block/{hash}/status2000Returns the confirmation status of a block. Available fields: in_best_chain (boolean, false for orphaned blocks), next_best (the hash of the next block, only available for blocks in the best chain).
direct/v1/Mempool/block/{hash}/txid/{index}2000Returns the transaction at index :index within the specified block.
direct/v1/Mempool/block/{hash}/txids2000Returns a list of all txids in the block.
direct/v1/Mempool/block/{hash}/txs2000Returns a list of transactions in the block (up to 25 transactions beginning at start_index). Transactions returned here do not have the status field, since all the transactions share the same block and confirmation status.
direct/v1/Mempool/blocks/tip/hash2000Returns the hash of the last block.
direct/v1/Mempool/blocks/tip/height2000Returns the height of the last block.
direct/v1/Mempool/mempool2000Returns current mempool backlog statistics.
direct/v1/Mempool/mempool/recent2000Get a list of the last 10 transactions to enter the mempool. Each transaction object contains simplified overview data, with the following fields: txid, fee, vsize, and value.
direct/v1/Mempool/mempool/txids2000Get the full list of txids in the mempool as an array. The order of the txids is arbitrary and does not match bitcoind.
direct/v1/Mempool/tx/{txId}2000Returns details about a transaction. Available fields: txid, version, locktime, size, weight, fee, vin, vout, and status.
direct/v1/Mempool/tx/{txId}/hex2000Returns a transaction serialized as hex.
direct/v1/Mempool/tx/{txId}/merkle-proof2000Returns a merkle inclusion proof for the transaction using Electrum’s blockchain.transaction.get_merkle format.
direct/v1/Mempool/tx/{txId}/merkleblock-proof2000Returns a merkle inclusion proof for the transaction using bitcoind’s merkleblock format.
direct/v1/Mempool/tx/{txId}/outspend/{vout}2000Returns the spending status of a transaction output. Available fields: spent (boolean), txid (optional), vin (optional), and status (optional, the status of the spending tx).
direct/v1/Mempool/tx/{txId}/outspends2000Returns the spending status of all transaction outputs.
direct/v1/Mempool/tx/{txId}/raw2000Returns a transaction as binary data.
direct/v1/Mempool/tx/{txId}/status2000Returns the confirmation status of a transaction. Available fields: confirmed (boolean), block_height (optional), and block_hash (optional).
direct/v1/Mempool/v1/block/{blockHash}
/audit-summary
2000Returns the block audit summary for the specified :blockHash. Available fields: height, id, timestamp, template, missingTxs, addedTxs, freshTxs, sigopTxs, fullrbfTxs, acceleratedTxs, matchRate, expectedFees, and expectedWeight.
direct/v1/Mempool/v1/blocks-bulk/{minHeight}
/{maxHeight}
2000Returns details on the range of blocks between :minHeight and :maxHeight, inclusive, up to 10 blocks. If :maxHeight is not specified, it defaults to the current tip.To return data for more than 10 blocks, consider becoming an enterprise sponsor.
direct/v1/Mempool/v1/blocks/{startHeight}2000Returns details on the past 15 blocks with fee and mining details in an extras field. If :startHeight is specified, the past 15 blocks before (and including) :startHeight are returned.
direct/v1/Mempool/v1/cpfp2000Returns the ancestors and the best descendant fees for a transaction.
direct/v1/Mempool/v1/difficulty-adjustment2000Returns details about difficulty adjustment.
direct/v1/Mempool/v1/fees/mempool-blocks2000Returns current mempool as projected blocks.
direct/v1/Mempool/v1/fees/recommended2000Returns our currently suggested fees for new transactions.
direct/v1/Mempool/v1/fullrbf/replacements2000Returns the list of mempool transactions that are part of a Full-RBF chain.
direct/v1/Mempool/v1/historical-price2000Returns bitcoin historical price denominated in main currencies. Available query parameters: currency, timestamp. If no parameter is provided, the full price history for all currencies is returned.
direct/v1/Mempool/v1/lightning/channels2000Returns a list of a node’s channels given its :pubKey. Ten channels are returned at a time. Use :index for paging. :channelStatus can be open, active, or closed.
direct/v1/Mempool/v1/lightning/channels-geo2000Returns a list of channels with corresponding node geodata.
direct/v1/Mempool/v1/lightning/channels-geo
/{pubKey}
2000Returns a list of channels with corresponding geodata for a node with the given :pubKey.
direct/v1/Mempool/v1/lightning/channels
/{channelId}
2000Returns info about a Lightning channel with the given :channelId.
direct/v1/Mempool/v1/lightning/channels/txids2000Returns channels that correspond to the given :txid (multiple transaction IDs can be specified).
direct/v1/Mempool/v1/lightning/nodes/{pubKey}2000Returns details about a node with the given :pubKey.
direct/v1/Mempool/v1/lightning/nodes/{pubKey}
/statistics
2000Returns historical stats for a node with the given :pubKey.
direct/v1/Mempool/v1/lightning/nodes/countries2000Returns aggregate capacity and number of clearnet nodes per country. Capacity figures are in satoshis.
direct/v1/Mempool/v1/lightning/nodes/country
/{country}
2000Returns a list of Lightning nodes running on clearnet in the requested :country, where :country is an ISO Alpha-2 country code.
direct/v1/Mempool/v1/lightning/nodes/isp-ranking2000Returns aggregate capacity, number of nodes, and number of channels per ISP. Capacity figures are in satoshis.
direct/v1/Mempool/v1/lightning/nodes/isp/{isp}2000Returns a list of nodes hosted by a specified :isp, where :isp is an ISP’s ASN.
direct/v1/Mempool/v1/lightning/nodes/rankings2000Returns two lists of the top 100 nodes: one ordered by liquidity (aggregate channel capacity) and the other ordered by connectivity (number of open channels).
direct/v1/Mempool/v1/lightning/nodes/rankings
/age
2000Returns a list of the top 100 oldest nodes.
direct/v1/Mempool/v1/lightning/nodes/rankings
/connectivity
2000Returns a list of the top 100 nodes by connectivity (number of open channels).
direct/v1/Mempool/v1/lightning/nodes/rankings
/liquidity
2000Returns a list of the top 100 nodes by liquidity (aggregate channel capacity).
direct/v1/Mempool/v1/lightning/search2000Returns Lightning nodes and channels that match a full-text, case-insensitive search :query across node aliases, node pubkeys, channel IDs, and short channel IDs.
direct/v1/Mempool/v1/lightning/statistics
/{interval}
2000Returns network-wide stats such as total number of channels and nodes, total capacity, and average/median fee figures.Pass one of the following for :interval: latest, 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.
direct/v1/Mempool/v1/mining/blocks/audit/score
/{blockHash}
2000Returns the block audit score for the specified :blockHash. Available fields: hash, matchRate, expectedFees, and expectedWeight.
direct/v1/Mempool/v1/mining/blocks/audit/scores
/{startHeight}
2000Returns blocks audit score for the past 16 blocks. If :startHeight is specified, the past 15 blocks before (and including) :startHeight are returned. Available fields: hash, matchRate, expectedFees, and expectedWeight.
direct/v1/Mempool/v1/mining/blocks/fee-rates
/{timePeriod}
2000Returns average feerate percentiles for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.For 24h and 3d time periods, every block is included and percentiles are exact (not averages). For the 1w time period, percentiles may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, percentiles are averages.
direct/v1/Mempool/v1/mining/blocks/fees
/{timePeriod}
2000Returns average total fees for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.For 24h and 3d time periods, every block is included and fee amounts are exact (not averages). For the 1w time period, fees may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, fees are averages.
direct/v1/Mempool/v1/mining/blocks/predictions
/{timePeriod}
2000Returns average block health in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.For 24h and 3d time periods, every block is included and figures are exact (not averages). For the 1w time period, figures may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, figures are averages.
direct/v1/Mempool/v1/mining/blocks/rewards
/{timePeriod}
2000Returns average block rewards for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.For 24h and 3d time periods, every block is included and block rewards are exact (not averages). For the 1w time period, block rewards may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, block rewards are averages.
direct/v1/Mempool/v1/mining/blocks/sizes-weights
/{timePeriod}
2000Returns average size (bytes) and average weight (weight units) for blocks in the specified :timePeriod, ordered oldest to newest. :timePeriod can be any of the following: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.For 24h and 3d time periods, every block is included and figures are exact (not averages). For the 1w time period, figures may be averages depending on how fast blocks were found around a particular timestamp. For other time periods, figures are averages.
direct/v1/Mempool/v1/mining/blocks/timestamp
/{timestamp}
2000Returns the height and the hash of the block closest to the given :timestamp.
direct/v1/Mempool/v1/mining
/difficulty-adjustments/{interval}
2000Returns the record of difficulty adjustments over the specified trailing :interval:Block timestampBlock heightDifficultyDifficulty changeIf no time interval is specified, all available data is returned.
direct/v1/Mempool/v1/mining/hashrate
/{timePeriod}
2000Returns network-wide hashrate and difficulty figures over the specified trailing :timePeriod:Current (real-time) hashrateCurrent (real-time) difficultyHistorical daily average hashratesHistorical difficultyValid values for :timePeriod are 1m, 3m, 6m, 1y, 2y, 3y. If no time interval is specified, all available data is returned.Be sure that INDEXING_BLOCKS_AMOUNT is set properly in your backend config so that enough blocks are indexed to properly serve your request.
direct/v1/Mempool/v1/mining/hashrate/pools
/{timePeriod}
2000Returns average hashrates (and share of total hashrate) of mining pools active in the specified trailing :timePeriod, in descending order of hashrate.Leave :timePeriod unspecified to get all available data, or specify any of the following time periods: 1m, 3m, 6m, 1y, 2y, 3y.
direct/v1/Mempool/v1/mining/pool/{slug}2000Returns details about the mining pool specified by :slug.
direct/v1/Mempool/v1/mining/pool/{slug}/hashrate2000Returns all known hashrate data for the mining pool specified by :slug. Hashrate values are weekly averages.
direct/v1/Mempool/v1/mining/pool/luxor/blocks
/{blockHeight}
2000Returns past 10 blocks mined by the specified mining pool (:slug) before the specified :blockHeight. If no :blockHeight is specified, the mining pool’s 10 most recent blocks are returned.
direct/v1/Mempool/v1/mining/pools/{timePeriod}2000Returns a list of all known mining pools ordered by blocks found over the specified trailing :timePeriod.Leave :timePeriod unspecified to get all available data, or specify one of the following values: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y.
direct/v1/Mempool/v1/mining/reward-stats
/{blockCount}
2000Returns block reward and total transactions confirmed for the past :blockCount blocks.
direct/v1/Mempool/v1/prices2000Returns bitcoin latest price denominated in main currencies.
direct/v1/Mempool/v1/replacements2000Returns the list of mempool transactions that are part of a RBF chain.
direct/v1/Mempool/v1/services/accelerator
/accelerations
2000Returns all transactions currently being accelerated.
direct/v1/Mempool/v1/services/accelerator
/accelerations/history
2000Returns all past accelerated transactions. Filters can be applied: status: all, requested, accelerating, mined, completed, failed timeframe: 24h, 3d, 1w, 1m, 3m, 6m, 1y, 2y, 3y, 4y, all minedByPoolUniqueId: any id from pools-v2.json blockHash: a block hash blockHeight: a block height page: the requested page number if using pagination (min: 1) pageLength: the page lenght if using pagination (min: 1, max: 50) from: unix timestamp (overrides timeframe) to: unix timestamp (overrides timeframe)
direct/v1/Mempool/v1/services/accelerator
/balance
2000Returns the user’s currently available balance, currently locked funds, and total fees paid so far.
direct/v1/Mempool/v1/services/accelerator
/history
2000Returns the user’s past acceleration requests.Pass one of the following for :status (required): all, requested, accelerating, mined, completed, failed.Pass true in :details to get a detailed history of the acceleration request.
direct/v1/Mempool/v1/services/accelerator
/top-up-history
2000Returns a list of top ups the user has made as prepayment for the accelerator service.
direct/v1/Mempool/v1/transaction-times2000Returns the timestamps when a list of unconfirmed transactions was initially observed in the mempool. If a transaction is not found in the mempool or has been mined, the timestamp will be 0.
direct/v1/Mempool/v1/tx/{txId}/rbf2000Returns the RBF tree timeline of a transaction.
direct/v1/Mempool/v1/validate-address/{address}2000Returns whether an address is valid or not. Available fields: isvalid (boolean), address (string), scriptPubKey (string), isscript (boolean), iswitness (boolean), witness_version (numeric, optional), and witness_program (string, optional).

POST

PathEst. CUDescription
direct/v1/Mempool/tx2000Broadcast a raw transaction to the network. The transaction should be provided as hex in the request body. The txid will be returned on success.
direct/v1/Mempool/v1/services/accelerator
/estimate
2000Returns estimated costs to accelerate a transaction. Optionally set the X-Mempool-Auth header to get customized estimation.
direct/v1/Mempool/v1/services/payments/bitcoin2000Request a LN invoice to accelerate a transaction.
direct/v1/Mempool/v1/services/accelerator
/accelerate
2000Sends a request to accelerate a transaction.
direct/v1/Mempool/v1/services/accelerator/cancel2000Sends a request to cancel an acceleration in the accelerating status.You can retreive eligible acceleration id using the history endpoint GET /api/v1/services/accelerator/history?status=accelerating.